Package org.springframework.security.web.authentication.switchuser

# Class AuthenticationSwitchUserEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.authentication.event.AbstractAuthenticationEvent
org.springframework.security.web.authentication.switchuser.AuthenticationSwitchUserEvent

All Implemented Interfaces:
  `Serializable`

public class AuthenticationSwitchUserEvent extends org.springframework.security.authentication.event.AbstractAuthenticationEvent
Application event which indicates that a user context switch.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationSwitchUserEvent(org.springframework.security.core.Authentication authentication, org.springframework.security.core.userdetails.UserDetails targetUser)`
Switch user context event constructor

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.core.userdetails.UserDetails`
`getTargetUser()`

### Methods inherited from class org.springframework.security.authentication.event.AbstractAuthenticationEvent

`getAuthentication`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthenticationSwitchUserEvent

public AuthenticationSwitchUserEvent(org.springframework.security.core.Authentication authentication, org.springframework.security.core.userdetails.UserDetails targetUser)
Switch user context event constructor

Parameters:
  `authentication` - The current `Authentication` object
  `targetUser` - The target user

## Method Details

### getTargetUser

public org.springframework.security.core.userdetails.UserDetails getTargetUser()